OGSpy 3.2.0 Beta

Démarré par DarkNoon, 30 Octobre 2014, 17:23:10

« précédent - suivant »

DarkNoon

La procédure depuis autoupgrade fonctionne :-)

Il faut cependant :
1- Mettre à jour autoupgrade avec la version trunk
2- Mettre à jour OGSpy avec la version trunk

Dans le sens inverse : autoupgrade est cassé :P

Héberger votre OGSpy : Hébergement

Anubys

J'ai les rapports de combats qui ne passent pas chez moi dans gestion des attaques.

Pour le moment, j'ai pas trop remarqué d'autre chose :D

pitch314

Le problème vient-il du plugin Xtense ? du mod Xtense ? ou d'un mod qui utilise les RC ?

Si ça concerne un mod, est-il en UTF-8 ?
mods  : "Production", "Build.Tech HOF"(bthof) et "Temps de vol"
OGSpy v3
OGSpy v5 (gestion BDD et sécurité)

Jedinight

Y'a toujours le bug ?

Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

DarkNoon

Je n'ai pas eu le temps de faire des RC depuis :P
Héberger votre OGSpy : Hébergement

Anubys

Oups sorry on m'a kidnappé :D

Euh et bien j'ai la barre Xtense sous ffx et ça marche bien sur un autre serveur. C'est seulement sur la version 3.2.0 que rien ne passe.

DarkNoon

Pour la version 3.2.0 il faut xtense 2.6 ;-) Et les deux ne sont pas encore sortis ^^
Héberger votre OGSpy : Hébergement

Jedinight

Désolé, je prends du retard au niveau d'Hostiles.

Avec les we chargés que je me tape, j'ai pas eu le temps d'avancer :(

Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

DarkNoon

Pas mal de petites mises à jour de OGSpy 3.2 ces derniers temps.

Merci de mettre à jour vos installations :-)
Héberger votre OGSpy : Hébergement

pitch314

Oui désolé ça a été plus fort que moi. J'ai corrigé plein de petites erreurs minimes (PHP, HTML, CSS)


Pour les tests, je ne crois pas que j'ai essayé d'installer OGSpy directement avec la version 3.2.0 . Je voudrait avoir la certitude concernant la base de donnée. Quelqu'un la fait ?
mods  : "Production", "Build.Tech HOF"(bthof) et "Temps de vol"
OGSpy v3
OGSpy v5 (gestion BDD et sécurité)

DarkNoon

Pas de soucis pour les commits au contraire cela améliore notre future version :-)
Héberger votre OGSpy : Hébergement

Skyline-ch

Je suis en vacance donc un peux de temps de libre.
Je peux faire les test avec l'install neuf 3.2.0 si vous voulez.

Pour être sur d'avoir la bonne version je la télécharge sur quelle dépôt ?


pitch314

à partir du seul dépot sur l'OGSteam : https://bitbucket.org/ogsteam/ogspy

Tu prends le dépot sur https://bitbucket.org/ogsteam/ogspy/downloads "Download repository" (C'est la dernière version tip ou trunk)
mods  : "Production", "Build.Tech HOF"(bthof) et "Temps de vol"
OGSpy v3
OGSpy v5 (gestion BDD et sécurité)

DarkNoon

#43
C'est la branche de développement

Donc les liens en début de sujet sont toujours bons :-)
Héberger votre OGSpy : Hébergement

Skyline-ch

Pour touts mes tests, je suis partis avec un dossier vide, et une BDD vide.

Config serveur :
PHP Version 5.2.17
MySQL API version    5.0.84
Server API    Apache 2.0 Handler

Résultat de mes tests :

Il y as des souci de droits des l'installation, j'avais le même souci avec la version 3.1.3


Warning: mkdir() [function.mkdir]: Permission denied in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/includes/config.php on line 90

Warning: chmod() [function.chmod]: No such file or directory in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/includes/config.php on line 91

Warning: fopen(../journal/150324//index.htm) [function.fopen]: failed to open stream: No such file or directory in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/includes/config.php on line 92

Warning: fclose(): supplied argument is not a valid stream resource in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/includes/config.php on line 92



Cela ai du au faite que l'ont envoie sur le serveur via FTP les fichier et dossier qui sont alors attribuer au compte qui opère cette action et pas propriétaire 80 (serveur web)
Perso pour un autre site, j'avais donc résolu ce souci avec une page index.php qui se charge de télécharger un zip sur un serveur, de le décompresser a l'endroit ou se trouve la page index d'install.
sa simplifie aussi la compréhension pour les personne qui ont peux de connaissance puis qu'il non qu'un fichier a transférer.
De plus cela augmente la sécrété puis se que le propriétaire ai 80, car la pour que sa fonctionne je dois mettre les droit à 777 sur les fichier et dossier qui pose soucis.

Une fois les infos d'installation entrer :
- si ont clique sur "générer le fichier 'id.php'", c'est ok
- si ont clique sur "Démarrer l'installation complète", c'est ok

Table BDD Ok toutes avec le prefix
UTF-8 semble ok pas d'erreur visible pour le moment
Installer et fonctionnement AutoUpdate 2.1.1 ok

Téléchargement Xtense 2.5.1 via Autoupdate KO:
J'ai les erreur suivante :

Notice: Undefined variable: pub_directory in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/mod/xtense/install.php on line 10

Warning: require_once(mod//includes/config.php) [function.require-once]: failed to open stream: No such file or directory in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/mod/xtense/install.php on line 25

Fatal error: require_once() [function.require]: Failed opening required 'mod//includes/config.php' (include_path='.:/opt/php/lib/php') in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/mod/xtense/install.php on line 25


Par contre il me met les messages
Téléchargement réussi.
Décompression réussie.

Les droit des fichier sont en 666 d'où le souci (dossiers 777), j'ai forcer le changement de propriétaire avec mon compte FTP et passer les droits à 777, désinstaller xtense dans la gestion de mods et réinstaller pour que cela créer les tables, c'est ok
par contre l'UTF-8 n'ai pas bon avec cette version Xtense (2.5.1)

J'ai désinstaller Xtense, supprimer le dossier et réinstaller avec la version Trunk

même souci que la précédente :
otice: Undefined variable: pub_directory in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/mod/xtense/install.php on line 10

Warning: require_once(mod//includes/config.php) [function.require-once]: failed to open stream: No such file or directory in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/mod/xtense/install.php on line 25

Fatal error: require_once() [function.require]: Failed opening required 'mod//includes/config.php' (include_path='.:/opt/php/lib/php') in /home/www/b1b514bfd200e1d85671d7d04af42254/web/ogspy/dev/mod/xtense/install.php on line 25


Mais cette fois ci les droit sont 644 pour les fichier et 755 pour les dossiers
une fois le propriétaire changer et les droit passer à 777 Xtense désinstaller et réinstaller via la gestion des mods tout est ok
Mise a jours de toutes les pages ok
Envoie infos Galaxi ok
Envoie RE ok
Envoie RC -> voir le sujet Xtense GM

Création d'un compte par l'admin, ok sauf l'adresse fournie pour url serveur et Xtense, bug que j'avais relever -> http://forum.ogsteam.fr/index.php/topic,1057.msg10177.html#msg10177